# Technology End of Life Status

GET /easm/technologies/eol/{product}: Returns end-of-life information for a product (e.g. nginx, php).

Source: https://docs.deepinfo.com/reference/easm/technology-end-of-life-status/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/technologies/eol/{product}`

Returns end-of-life information for a product (e.g. `nginx`, `php`).

## Authentication

Send your API key in the `apikey` request header.

## Path Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `product` | Required |  | `acme-portal` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `product` | string |  |
| `cycles` | array of object |  |
| `check_date` | string | date-time |

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `product` | string |
| `cycles` | array<object> |
| `cycles[].cycle` | string |
| `cycles[].release_codename` | null |
| `cycles[].release_label` | null |
| `cycles[].release_link` | string \| null |
| `cycles[].release_date` | string |
| `cycles[].latest_release` | string |
| `cycles[].latest_release_date` | string |
| `cycles[].eol` | boolean |
| `cycles[].eol_date` | string |
| `cycles[].lts` | boolean |
| `cycles[].lts_date` | null |
| `cycles[].support` | null |
| `cycles[].support_date` | null |
| `cycles[].extended_support` | null |
| `cycles[].extended_support_date` | null |
| `cycles[].discontinued` | null |
| `cycles[].discontinued_date` | null |
| `check_date` | string |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/technologies/eol/acme-portal' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "product": "acme-portal",
  "cycles": [
    {
      "cycle": "1.0",
      "release_codename": null,
      "release_label": null,
      "release_link": "https://www.acme.example/releases/",
      "release_date": "2025-06-01T08:00:00Z",
      "latest_release": "1.0.0",
      "latest_release_date": "2025-06-01T08:00:00Z",
      "eol": false,
      "eol_date": "2026-06-01T08:00:00Z",
      "lts": true,
      "lts_date": null,
      "support": null,
      "support_date": null,
      "extended_support": null,
      "extended_support_date": null,
      "discontinued": null,
      "discontinued_date": null
    },
    {
      "cycle": "1.0",
      "release_codename": null,
      "release_label": null,
      "release_link": null,
      "release_date": "2025-05-25T08:00:00Z",
      "latest_release": "1.0.0",
      "latest_release_date": "2025-05-25T08:00:00Z",
      "eol": false,
      "eol_date": "2026-05-25T08:00:00Z",
      "lts": true,
      "lts_date": null,
      "support": null,
      "support_date": null,
      "extended_support": null,
      "extended_support_date": null,
      "discontinued": null,
      "discontinued_date": null
    }
  ],
  "check_date": "2025-07-31T08:00:00Z"
}
```

### 404 · Validation Error (unknown product)

```bash
curl 'https://api.deepinfo.com/v1/easm/technologies/eol/acme-portal' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 30003,
  "details": [
    "Product does not exist."
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
